org.apache.ode.bpel.engine

## Class ProcessAndInstanceManagementMBean

- java.lang.Object
- - org.apache.ode.bpel.engine.ProcessAndInstanceManagementMBean

- All Implemented Interfaces:
    javax.management.DynamicMBean

      public class ProcessAndInstanceManagementMBean
      extends java.lang.Object
      implements javax.management.DynamicMBean

  Standard MBean exposing ODE's process model and instance management API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessAndInstanceManagementMBean(BpelServer server, ProcessStore store)`
    `ProcessAndInstanceManagementMBean(ProcessAndInstanceManagementImpl pm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(java.lang.String attribute)`
    `javax.management.AttributeList` | `getAttributes(java.lang.String[] attributes)`
    `javax.management.MBeanInfo` | `getMBeanInfo()`
    `java.lang.Object` | `invoke(java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)`
    `void` | `setAttribute(javax.management.Attribute attribute)`
    `javax.management.AttributeList` | `setAttributes(javax.management.AttributeList attributes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessAndInstanceManagementMBean

          public ProcessAndInstanceManagementMBean(BpelServer server,
                                           ProcessStore store)

    - #### ProcessAndInstanceManagementMBean

          public ProcessAndInstanceManagementMBean(ProcessAndInstanceManagementImpl pm)

  - ### Method Detail

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String attribute)
                                        throws javax.management.AttributeNotFoundException,
                                               javax.management.MBeanException,
                                               javax.management.ReflectionException

      Specified by:
        `getAttribute` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.AttributeNotFoundException`
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### getAttributes

          public javax.management.AttributeList getAttributes(java.lang.String[] attributes)

      Specified by:
        `getAttributes` in interface `javax.management.DynamicMBean`

    - #### getMBeanInfo

          public javax.management.MBeanInfo getMBeanInfo()

      Specified by:
        `getMBeanInfo` in interface `javax.management.DynamicMBean`

    - #### invoke

          public java.lang.Object invoke(java.lang.String actionName,
                                java.lang.Object[] params,
                                java.lang.String[] signature)
                                  throws javax.management.MBeanException,
                                         javax.management.ReflectionException

      Specified by:
        `invoke` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### setAttribute

          public void setAttribute(javax.management.Attribute attribute)
                            throws javax.management.AttributeNotFoundException,
                                   javax.management.InvalidAttributeValueException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException

      Specified by:
        `setAttribute` in interface `javax.management.DynamicMBean`
      Throws:
        `javax.management.AttributeNotFoundException`
        `javax.management.InvalidAttributeValueException`
        `javax.management.MBeanException`
        `javax.management.ReflectionException`

    - #### setAttributes

          public javax.management.AttributeList setAttributes(javax.management.AttributeList attributes)

      Specified by:
        `setAttributes` in interface `javax.management.DynamicMBean`